import Taro from '@tarojs/taro'

async function loadPlugin() {
  Taro.$global = await createTaroGlobal()
  listenNetwork()
}

async function createTaroGlobal() {
  const global = {
    systemInfo: Taro.getSystemInfoSync() || {},
    network: await Taro.getNetworkType() || {},
    launchOption: {}
  }

  try {
    global.launchOption = Taro.getLaunchOptionsSync()
  } catch (e) {
    console.log('不支持 getLaunchOptionsSync')
  }

  return global
}

function listenNetwork() {
  Taro.onNetworkStatusChange(({ networkType }) => {
    Taro.$global.network.networkType = networkType
  })
}

loadPlugin()
